收藏
回答

npm 安装lodash不能使用

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1808300

- 当前 Bug 的表现(可附上截图)


lodash构建成功




但是引入报错


const _ = require('lodash')


- 预期表现


- 复现路径


- 提供一个最简复现 Demo


最后一次编辑于  2018-09-03  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

4 个回答

  • 胖子
    胖子
    2018-09-12

    小程序没有全局变量window

    也不能使用函数构造器

    2018-09-12
    赞同
    回复
  • Richard
    Richard
    2018-09-26

    试试使用相对路径  const _ = require('../miniprogram_npm/lodash/index.js')

    2018-09-26
    赞同
    回复
  • 장수연.(七七)
    장수연.(七七)
    2018-11-22

    我也遇到这个问题了,请问楼主怎么解决的

    2018-11-22
    赞同
    回复
  • 海兰云天
    海兰云天
    08-24

    请问解决了吗?

    08-24
    赞同
    回复